### Function

# ECal util_component_dup_x_property

since: 3.34

#### Declaration [src]

    gchar*
    e_cal_util_component_dup_x_property (
      ICalComponent* icalcomp,
      const gchar* x_name
    )

#### Description [src]

Searches for an X property named `x_name` within X properties of `icalcomp` and returns its value as a newly allocated string. Free it with g_free(), when no longer needed.

Available since: 3.34

#### Parameters

`icalcomp`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the function.

`x_name`

  Type: `const gchar*`

  Name of the X property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

Newly allocated value of the first `x_name` X property in `icalcomp`, or `NULL`, if not found.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.